Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.model.dom
Class DOMNodeIterator

    java.lang.Object
      org.apache.commons.jxpath.ri.model.dom.DOMNodeIterator

All Implemented Interfaces:
  NodeIterator

    public class DOMNodeIterator

extends Object
implements NodeIterator

An iterator of children of a DOM Node.

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov

Constructor Summary
`DOMNodeIterator(NodePointer parent, NodeTest nodeTest, boolean reverse, NodePointer startWith)` Create a new DOMNodeIterator.

Method Summary
`NodePointer` | `getNodePointer()` Get the NodePointer at the current position.
`int` | `getPosition()` Get the current iterator position.
`boolean` | `setPosition(int position)` Set the new current position.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMNodeIterator

    public DOMNodeIterator(NodePointer parent,
                           NodeTest nodeTest,
                           boolean reverse,
                           NodePointer startWith)

  Create a new DOMNodeIterator.

  Parameters:
    `parent` - parent pointer
    `nodeTest` - test
    `reverse` - whether to iterate in reverse
    `startWith` - starting pointer

Method Detail

### getNodePointer

    public NodePointer getNodePointer()

  Description copied from interface: `NodeIterator`
  Get the NodePointer at the current position.

  Specified by:
    `getNodePointer` in interface `NodeIterator`
  Returns:
    NodePointer

### getPosition

    public int getPosition()

  Description copied from interface: `NodeIterator`
  Get the current iterator position.

  Specified by:
    `getPosition` in interface `NodeIterator`
  Returns:
    int position

### setPosition

    public boolean setPosition(int position)

  Description copied from interface: `NodeIterator`
  Set the new current position.

  Specified by:
    `setPosition` in interface `NodeIterator`
  Parameters:
    `position` - the position to set
  Returns:
    `true` if there is a node at `position`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.